Bug 58376 - Few general (and maybe stupid...) remarks on the documentations present on RedHat Linux
Few general (and maybe stupid...) remarks on the documentations present on Re...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tammy Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 09:33 EST by Need Real Name
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-16 11:56:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-15 09:33:37 EST
Why not only one format for the HOWTOs? (now ithere are 2 formats: docbook and
sgml)

 Why should it be either .html, or .docbook or .sgml? for the doc on RH Linux?
 There are many converting  tools so why not furnish all the doc in only one
 format, the richest one and then add a README file explaining how to produce
the
 other formats (.ps, .pdf, .txt, .html...) from that format.

 linuxdoc allows to specify the format and the size of any "ready to print"
 generated document from a .sgml. They look really good and are easy to read.
 docbook2ps produces documents that are not so "good looking" and it is
 impossible to easily specify the size of the paper (or I have not found the
option...).
 Isn't it possible to federate everything, to have one format (.sgml or
.docbook)
 and one very good looking template for everything, to obtain coherent
 documentations (in term of appearance)? That would make things so much
 easier.... So much professional...


 In the same idea, info, html and man pages....
 I like man pages, I don't like info pages.
 man is easy to type and use on a console. info and .html requires too many CTRL
 something...
 But this is MY opinion. I know some people have others. I simply go to the
 simplicity, I am lazy and to type man is fast and simple....

 They are many tools able to produce any of these format from a META file (.xml,
 .sgml whatever) but not so many people know who they are, what they are
supposed
 to do and how to use them cleverly (and I am one of these people...).
 Couldn't it be possible to have the 3 formats present in every RedHat packages
 and placed where they are supposed to be easily found? That would make
 everybody happy and would put some coherence (I hate to say "Jesus X, where is
 the doc and in which format.!!!!")


Daniel
Comment 1 Tammy Fox 2002-02-11 10:58:34 EST
The HOWTOs on the Red Hat Linux Documentation CD are from the Linux Documentation
Project (LDP), a community organization. We just mirror the latest content in
case users want additional documentation. The LDP is in charge of deciding
which formats they accept, and they accept multiple formats. I can't change
that.

We are working to make the man pages and info pages easier to access.

Note You need to log in before you can comment on or make changes to this bug.